View Issue Details

IDProjectCategoryView StatusLast Update
0004952Talermechant backendpublic2019-01-31 19:34
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0004952: /track/transfer testcase.
DescriptionThe backend's response to /track/transfer has now changed because it
returns the sum of all coins (per h_proposal_data) that have been wire
transferred by the exchange.

Testcases now just checks that http status code is '200 OK', so it would
be optimal to do other checks based on the transferred sum and/or on the
expected status code in case of intentional failures; for conflicts, just
to mention one.
TagsNo tags attached.

Activities

Marcello Stanisci

2018-12-14 12:53

manager   ~0013412

5cab5dc implements a check on the total transferred sum. It checks whether all the payed coins sum up to the claimed total sum.

Marcello Stanisci

2018-12-14 12:56

manager   ~0013413

Check on the expected status code already existed.

Issue History

Date Modified Username Field Change
2017-03-13 14:26 Marcello Stanisci New Issue
2017-03-13 14:26 Marcello Stanisci Status new => assigned
2017-03-13 14:26 Marcello Stanisci Assigned To => Marcello Stanisci
2017-03-13 14:27 Marcello Stanisci Target Version => 0.5
2017-04-09 00:16 Christian Grothoff Product Version => SVN HEAD
2017-04-09 00:16 Christian Grothoff Target Version 0.5 => 0.7
2017-11-04 18:35 Christian Grothoff Severity minor => tweak
2018-12-14 12:53 Marcello Stanisci Note Added: 0013412
2018-12-14 12:54 Marcello Stanisci Status assigned => closed
2018-12-14 12:54 Marcello Stanisci Resolution open => fixed
2018-12-14 12:54 Marcello Stanisci Status closed => resolved
2018-12-14 12:55 Marcello Stanisci Description Updated View Revisions
2018-12-14 12:56 Marcello Stanisci Note Added: 0013413
2019-01-31 19:34 Christian Grothoff Fixed in Version => 0.6
2019-01-31 19:34 Christian Grothoff Target Version 0.7 => 0.6